Subject: RE:Designerliving data erasure request - from Leah Broadwater - request: 72KVVUEN #Ref 2022032600290145
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 28 Mar 2022 06:35:42 -0700

Hello Leah,

Thank you for contacting Designer Living!  We have removed you from our mailing list per your request.

Sincerely,

Latesia

Customer Service Rep.

Designer Living

===============================================================================

Hi Designerliving (designerliving.com),

My name is Leah Broadwater, I've used your service in the past.
However, I'm now making the conscious decision to reduce my digital footprint and as a result I ask you to please delete any personal data of mine you have stored on your systems.

My personal details are:

Name: Leah Broadwater

Email: [email-masked]

I used Mine’s technology to discover my data and send deletion requests from my own inbox (see from address).

Would appreciate a confirmation once my data has been deleted from all your company’s data sources.

Companies: You can discover your company’s hidden sources and make sure all user data is deleted, using Mine.

Thanks,

Leah Broadwater

Powered by Mine®

Mine Request: 72KVVUEN